Package ru.bitel.bgbilling.kernel.contract.status.common.bean

# Class ContractStatusLog

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.kernel.contract.status.common.bean.ContractStatusLog

All Implemented Interfaces:
  `Serializable`, `Idable`

public class ContractStatusLog extends Id

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractStatusLog()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getComment()`
  `int`
  `getContractId()`
  `Date`
  `getDate()`
  `Date`
  `getDate1()`
  `Date`
  `getDate2()`
  `int`
  `getObjectId()`
  `int`
  `getStatus()`
  `int`
  `getUserId()`
  `ContractStatusLog`
  `setComment(String comment)`
  `ContractStatusLog`
  `setContractId(int contractId)`
  `ContractStatusLog`
  `setDate(Date date)`
  `ContractStatusLog`
  `setDate1(Date date1)`
  `ContractStatusLog`
  `setDate2(Date date2)`
  `ContractStatusLog`
  `setId(int id)`
  Устанавливает id объекта
  `ContractStatusLog`
  `setObjectId(int objectId)`
  `ContractStatusLog`
  `setStatus(int status)`
  `ContractStatusLog`
  `setUserId(int userId)`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ContractStatusLog

    public ContractStatusLog()

- ## Method Details

  - ### getComment

    public String getComment()

  - ### getContractId

    public int getContractId()

  - ### getDate

    public Date getDate()

  - ### getDate1

    public Date getDate1()

  - ### getDate2

    public Date getDate2()

  - ### getObjectId

    public int getObjectId()

  - ### getStatus

    public int getStatus()

  - ### getUserId

    public int getUserId()

  - ### setComment

    public ContractStatusLog setComment(String comment)

  - ### setContractId

    public ContractStatusLog setContractId(int contractId)

  - ### setDate

    public ContractStatusLog setDate(Date date)

  - ### setDate1

    public ContractStatusLog setDate1(Date date1)

  - ### setDate2

    public ContractStatusLog setDate2(Date date2)

  - ### setId

    public ContractStatusLog setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `Id`

  - ### setObjectId

    public ContractStatusLog setObjectId(int objectId)

  - ### setStatus

    public ContractStatusLog setStatus(int status)

  - ### setUserId

    public ContractStatusLog setUserId(int userId)